Skip to main content
GET
https://api.credprotocol.com
/
api
/
v2
/
reputation
/
{agent_id}
/
status
/
{submission_id}
curl -X GET "https://api.credprotocol.com/api/v2/reputation/18/status/550e8400-e29b-41d4-a716-446655440000" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "submission_id": "550e8400-e29b-41d4-a716-446655440000",
  "agent_id": 18,
  "status": "confirmed",
  "scores": {
    "credit_score": 782,
    "sybil_score": 12,
    "identity_count": 3
  },
  "transactions": [
    {
      "tag1": "creditScore",
      "transaction_hash": "0xabc123...",
      "block_number": 12345678,
      "gas_used": 85000
    },
    {
      "tag1": "sybilRisk",
      "transaction_hash": "0xdef456...",
      "block_number": 12345679,
      "gas_used": 82000
    }
  ],
  "feedback_uri": "ipfs://QmXyz...",
  "error": null,
  "created_at": "2026-02-27T15:30:00Z",
  "updated_at": "2026-02-27T15:30:45Z"
}

Overview

Poll this endpoint to track the progress of an on-chain reputation submission. Returns the current status, computed scores (once available), and transaction details after confirmation.
This is a free endpoint (0 Cred Units). Poll every 5–10 seconds until the status is confirmed or failed.

Authentication

MethodHeaderCost
API TokenAuthorization: Bearer YOUR_API_KEY0 Cred Units
x402 PaymentX-PAYMENT: <signed_payment>Free

Path Parameters

agent_id
integer
required
ERC-8004 agent ID. Must be >= 1.
submission_id
string
required
Submission UUID returned by the submit endpoint

Response

submission_id
string
UUID tracking this submission
agent_id
integer
The ERC-8004 agent ID
status
string
Current status: pending, scoring, uploading, submitting, confirmed, or failed
scores
object
Computed scores (available after the scoring phase)
scores.credit_score
integer
Andromeda 1.0 credit score (300–1000)
scores.sybil_score
integer
Sybil risk score (0–100)
scores.identity_count
integer
Number of verified identity attestations
transactions
array
On-chain transaction details per tag (available after confirmation)
transactions[].tag1
string
Feedback tag (e.g., creditScore)
transactions[].transaction_hash
string
Transaction hash on Base
transactions[].block_number
integer
Block number of confirmation
transactions[].gas_used
integer
Gas used by the transaction
feedback_uri
string
IPFS URI of the off-chain feedback JSON
error
string
Error message if status is failed
created_at
string
ISO 8601 timestamp when the submission was created
updated_at
string
ISO 8601 timestamp when the submission was last updated
curl -X GET "https://api.credprotocol.com/api/v2/reputation/18/status/550e8400-e29b-41d4-a716-446655440000" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "submission_id": "550e8400-e29b-41d4-a716-446655440000",
  "agent_id": 18,
  "status": "confirmed",
  "scores": {
    "credit_score": 782,
    "sybil_score": 12,
    "identity_count": 3
  },
  "transactions": [
    {
      "tag1": "creditScore",
      "transaction_hash": "0xabc123...",
      "block_number": 12345678,
      "gas_used": 85000
    },
    {
      "tag1": "sybilRisk",
      "transaction_hash": "0xdef456...",
      "block_number": 12345679,
      "gas_used": 82000
    }
  ],
  "feedback_uri": "ipfs://QmXyz...",
  "error": null,
  "created_at": "2026-02-27T15:30:00Z",
  "updated_at": "2026-02-27T15:30:45Z"
}